<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='24' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
        if($reg['per_visualizar']=="Activo")
        {
            if ($aper_num>'0')
            {
?>
<!DOCTYPE html>
<html lang="en">
    <head>
	   <?php include ('head.php'); ?>
  </head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="";
$M_pedidos="";
$M_pos="active";
$R_reportes="";

$ventas="";
$remisiones="";
$cajas="";
$apartadas="";
$orden="active";
$movimientos="";
$periodica="";  
include ('menu.php');
?> 

<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_pos.php');?>       
    </div> <!-- /span6 -->
    <div class="col-md-10">  
        <div class="widget stacked">
            <div class="widget-content">
                <form name="form_registrar" id="form_registrar" method="post" action="" enctype="multipart/form-data" >
                    <div class="col-md-4" >
                        <div class="widget stacked">
                            <div class="widget-header">
                                <i class="icon-user"></i>
                                <h3>DETALLES DEL CLIENTE</h3>
                            </div> <!-- /widget-header -->          
                            <div class="widget-content">
                                <div class="input-group">
                                    <section id="intro" >
                                        <select name="clie_id" id="clie_id" class="form-control name_list" onchange="update_cliente(1,this.value);">
                                            <option value=""> - </option>
                                                <?php
                                                    $datoss = mysqli_query($con,"SELECT * FROM cliente WHERE empresa='$empresa'") ;
                                                    while( $filas = mysqli_fetch_array( $datoss ) )
                                                    {
                                                        echo' <option value="'.$filas['clie_id'].'">'.$filas['clie_cc'].' - '.$filas['clie_nombre'].'</option>';
                                                    }
                                                ?>
                                        </select>
                                    </section>
                                    <span class="input-group-addon">
                                        <a href="#nuevocliente" title="Nuevo" data-toggle="modal" type="button" ><i class="btn-icon-only icon-plus"></i> </a>
                                    </span>
                                </div> 
                                <div id="select_cli"></div>
                            </div> <!-- /widget-content -->
                        </div>
                    </div>
                    <div class="col-md-8" style="padding:0px;">
                        <div class="widget stacked">       
                            <div class="widget-header">
                                <i class="icon-list-alt"></i>
                                <h3>DETALLES</h3>
                            </div> <!-- /widget-header -->          
                            <div class="widget-content">   
                                <div class="col-md-4">
                                    <label>Fecha de Recibo</label>
                                    <input type="date" class="form-control input-sm date-picker" data-date-format="yyyy-mm-dd" name="ord_fecha_recibo" autocomplete="off"  value="<?php echo  date('Y-m-d');?>">
                                </div>
                                <div class="col-md-4">
                                    <?php  if($negocio_neg_id<>'8') { ?>
                                    <label>Tecnico</label>
                                    <?php } else { ?>
                                    <label>Vendedor</label>
                                    <?php } ?>
                                    <select name="ord_tecnico" class="form-control input-sm" required>
                                        <option value="<?php echo $usu_id; ?>"><?php echo $usu_nombre; ?></option>
                                        <?php
                                            $datos = mysqli_query($con,"SELECT * FROM usuario WHERE empresa_emp_id='$empresa' and usu_id<>'$usu_id' and eliminado='no' and usu_nombre<>'VENDEDOR GENERAL'") ;
                                            while( $fila = mysqli_fetch_array( $datos ) )
                                            {
                                                echo'<option value="'.$fila['usu_id'].'">'.$fila['usu_nombre'].'</option>';
                                            }
                                        ?>
                                    </select>
                                  
                                </div>
                                <?php
                                    $can=mysqli_query($con,"SELECT MAX(ord_numero)as numero FROM orden_servicios where empresa='$empresa'") or die(mysqli_error($con)); 
                                    $dato=mysqli_fetch_array($can);
                                    $numero=$dato['numero']+1;
                                ?>
                                <div class="col-md-4">
                                    <label>N° de Orden</label>
                                    <input type="number" class="form-control input-sm" name="ord_numero"  readonly value="<?php echo $numero; ?>" >
                                </div>

                                <?php 
                                if($negocio_neg_id<>'8') { ?>

                                    <div class="col-md-4">
                                        <label>Tipo de Equipo</label>
                                        <input type="text" class="form-control input-sm" name="ord_tipo_equipo" >
                                    </div>
                                    <div class="col-md-4">
                                        <label>Marca</label>
                                        <input type="text" class="form-control input-sm" name="ord_marca" >
                                    </div>
                                    <div class="col-md-4">
                                        <label>Modelo</label>
                                        <input type="text" class="form-control input-sm" name="ord_modelo" >
                                    </div>
                                    <div class="col-md-6">
                                        <label>Numero de Serie</label>
                                        <input type="text" class="form-control input-sm" name="ord_num_serie" >
                                    </div>
                                                                    
                                    <div class="col-md-6">
                                        <label>Accesorios</label>
                                        <input type="text" class="form-control input-sm" name="ord_accesorios" >
                                    </div>
                               
                                    <div class="col-md-6">
                                        <label>Falla</label>
                                        <textarea class="form-control input-sm" name="ord_falla" rows="2"></textarea>
                                    </div> 
                                    <div class="col-md-6">
                                        <label>Observaciones</label>
                                        <textarea class="form-control input-sm" name="ord_observaciones" rows="2"></textarea>
                                    </div>
                                    <div class="col-md-6">
                                        <label>&nbsp</label>
                                        <label for="imagen" style="width: 100%;background-color: red;"><i class="fa fa-plus"></i> Añadir Imagenes </label>
                                        <div class="form-group">
                                            <input type="file" name="archivo[]" id="imagen" multiple accept="image/jpg, image/jpeg, image/pjpeg, image/gif, image/png, image/jfif">
                                        </div>
                                    </div>
                                    <div class="col-md-6"> 
                                        <label>&#160;</label>
                                        <div class="form-group"  align="right"  >
                                            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal" style="width:100%;">
                                            <span class="btn-icon-only icon-plus "></span>Agregar Productos
                                            </button>
                                        </div>
                                    </div>
                                 <?php } else  {?>

                                    <div class="col-md-8">
                                        <label>Diseño</label>
                                        <input type="text" class="form-control input-sm" name="ord_diseno" required>
                                    </div>
                                    <div class="col-md-2">
                                        <label>Gramos</label>
                                        <input type="text" class="form-control input-sm" name="ord_gramos" required>
                                    </div>
                                    <div class="col-md-2">
                                        <label>Talla</label>
                                        <input type="text" class="form-control input-sm" name="ord_talla"  required>
                                    </div>
                                    <div class="col-md-8">
                                        <label>Observaciones</label>
                                        <textarea class="form-control input-sm" name="ord_observaciones"  rows="4" ></textarea>
                                    </div>
                                    <div class="col-md-6">
                                        <label>&nbsp</label>
                                        <label for="imagen" style="width: 100%;background-color: red;"><i class="fa fa-plus"></i> Añadir Imagenes </label>
                                        <div class="form-group">
                                            <input type="file" name="archivo[]" id="imagen" multiple accept="image/jpg, image/jpeg, image/pjpeg, image/gif, image/png, image/jfif">
                                        </div>
                                    </div>
                                    <div class="col-md-6"> 
                                        <label>&#160;</label>
                                        <div class="form-group"  align="right"  >
                                            <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal" style="width:100%;">
                                            <span class="btn-icon-only icon-plus "></span>Agregar Productos
                                            </button>
                                        </div>
                                    </div>
                                <?php  }  ?>
                                

                            </div> <!-- /widget -->
                        </div>
                    </div> <!-- /span9 -->
 
                    <div class="widget stacked">
                        <div class="widget-header"></div> <!-- /widget-header --> 
                        <div class="widget-content">
                            <div id="tabla"></div>
                        </div>
                    </div>
                    </br>

                    <div class="form-group" align="right" >
                        <a href="P_servicios.php" type="button" class="btn btn-default" ><span class="btn-icon-only fa fa-angle-double-left "></span>Atras</a>
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#orden"><span class="btn-icon-only icon-ok "></span>Registrar
                        </button>
                    </div>

                    <div id="orden" class="modal fade" tabindex="-1" role="dialog"  data-backdrop="static">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Completar Registro</h4>
                                </div>
                                <div class="modal-body">
                                    <div id="resul"></div>
                                    <div id="ventana">
                                        <div class="middle">
                                            <label>
                                                <input type="radio" name="forma_pago" id="forma_pago" value="efectivo" checked onChange="medio_pago1(this)"/>
                                                <div class="front-end box"><span>EFECTIVO</span></div>
                                            </label>
                                            <label>
                                                <input type="radio" name="forma_pago" id="forma_pago" value="transferencia" onChange="medio_pago1(this)"/>
                                                <div class="back-end box"><span>TRANSFERENCIA</span></div>
                                            </label>
                                            <label>
                                                <input type="radio" name="forma_pago" id="forma_pago" value="tarjeta" onChange="medio_pago1(this)"/>
                                                <div class="back-end box"><span>TARJETA</span></div>
                                            </label>
                                        </div>

                                        <div id="div_efectivo" style="display: "> </div>

                                        <div id="div_nota" style="display: none">
                                            <label>Nota Credito Disponible</label>
                                            <input type="text" name="nota_credito" id="nota_credito" value="<?php echo number_format($cli['clie_nota_credito'],0); ?>" class="form-control name_list" autocomplete="off" readonly >
                                        </div>

                                        <div id="div_medio_pago" style="display: none">
                                            <label>PLATAFORMA DE PAGO</label>
                                            <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
                                                <?php
                                                    $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                                                    while( $fila = mysqli_fetch_array( $datos ) )
                                                    {
                                                        echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                                                    }
                                                ?>
                                            </select>
                                        </div>

                                        <label>ABONO (opcional)</label>
                                        <input type="number" class="form-control input-sm" name="abono" autocomplete="off" value="0">
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
                                            <button name="btn_orden" id="btn_orden" value="btn_orden" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Si </strong></button>
                                        </div>
                                    </div>
                               </div>
                            </div><!-- /.modal-content -->
                        </div><!-- /.modal-dialog -->
                    </div>

                </form>
            </div>
        </div></br></br></br> </br> 
    </div> <!-- /container --> 
</div>
<link href="css/botones_factura.css" rel="stylesheet" media="all"> 

<?php 
  include ('php_buscador/buscador_servicio.php');
  include ('php_clientes/form_nuevo_cliente.php');
  include ('php_buscador/buscador_cliente.php');
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
<script>
function medio_pago1(sel) 
{
    if (sel.value=="efectivo")
    {
        divC = document.getElementById("div_nota");
        divC.style.display = "none";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "block";
    } 
    else if (sel.value=="nota credito")
    {
        divC = document.getElementById("div_nota");
        divC.style.display = "";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "none";
    } 
    else 
    {
        divC = document.getElementById("div_nota");
        divC.style.display="none";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "none";
    }
}
</script>
<script>
function loadcliente(){
    $.get("./php_orden_de_servicios/select_cliente.php","",function(data){
    $("#select_cli").html(data);
  })
}
loadcliente();


function loadTabla(){
  $.get("./php_orden_de_servicios/tabla_presupuesto.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla();

$(document).ready(function(){
    load(1);
});

function load(page){
    var q= $("#q").val();
    var tipo=document.querySelector('input[name="tipo"]:checked').value
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_orden_servicio.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
    })
}

function agregar (art_art_id)
{
    var art_id=document.getElementById('art_id'+art_art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_art_id).value;
    var precio_venta=document.getElementById('precio_venta_'+art_art_id).value;
    var nombre=document.getElementById('nombre_'+art_art_id).value;
    var cantidad=document.getElementById('cantidad_'+art_art_id).value;
    var art_iva=document.getElementById('art_iva'+art_art_id).value;
    var descuento=document.getElementById('descuento'+art_art_id).value;
    var tipo=document.getElementById('art_tipo'+art_art_id).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_referencia).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+art_referencia).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_orden_de_servicios/agregar_articulo_temp.php",
        data: "art_art_id="+art_art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&tipo="+tipo,

        beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos){
        $("#tabla").html(datos);
        loadTabla();
        }
    });
}


function agregarservicio (art_id)
{
    var art_id=document.getElementById('art_id'+art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var precio_venta=document.getElementById('precio_venta_'+art_id).value;
    var nombre=document.getElementById('nombre_'+art_id).value;
    var cantidad=document.getElementById('cantidad_'+art_id).value;
    var art_iva=document.getElementById('art_iva'+art_id).value;
    var descuento=document.getElementById('descuento'+art_id).value;
    var tipo=document.getElementById('art_tipo'+art_id).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_referencia).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+art_referencia).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_orden_de_servicios/agregar_articulo_temp.php",
        data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&tipo="+tipo,

        beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos){
        $("#tabla").html(datos);
        loadTabla();
        }
    });
}


function agregardetallado (artd_referencia)
{
    var art_id=document.getElementById('art_id'+artd_referencia).value;
    var nombre=document.getElementById('nombre'+artd_referencia).value;
    var cantidad=document.getElementById('cantidad_'+artd_referencia).value;
    var descuento=document.getElementById('descuento'+artd_referencia).value;
    var precio_costo=document.getElementById('precio_costo_'+artd_referencia).value;
    var precio_venta=document.getElementById('precio_venta_'+artd_referencia).value;
    var fac=document.getElementById('fac'+artd_referencia).value;

    var art_iva='00';
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+artd_referencia).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+artd_referencia).focus();
        return false;
    }
    if(parseInt(precio_venta)<parseInt(precio_costo))
    {
        alert('Esta facturando por debajo del precio de compra !');
        document.getElementById('precio_venta_'+artd_referencia).focus();
    }
    $.ajax(
    {
    type: "POST",
    url: "./php_orden_de_servicios/agregar_detallado_temp.php",
    data: "art_referencia="+artd_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac,

    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
     loadTabla();
    }
    });
}


function agregarnuevo()
{
    var art_id=document.getElementById('art_id').value;
    var art_referencia=document.getElementById('art_id').value;
    var precio_venta=document.getElementById('precio_venta').value;
    var nombre=document.getElementById('nombre_').value;
    var cantidad=document.getElementById('cantidad_').value;
    var art_iva=document.getElementById('art_iva').value;
    var descuento=document.getElementById('descuento').value;
    var fac=document.getElementById('fac').value;
    var tipo='nuevo';

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_').focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_').focus();
        return false;
    }
    $.ajax({
    type: "POST",
    url: "./php_orden_de_servicios/agregar_nuevo_temp.php",
    data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&tipo="+tipo,

    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
    loadTabla();
    }
    });
}


$("#form_registrar").submit(function( event ) 
{
    $('#btn_orden').attr("disabled", true);
    $('#ventana').hide(); 
    var formData = new FormData($("#form_registrar")[0]);
    var ruta = "php_orden_de_servicios/registrar_orden.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
            $('#resul').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resul").html(datos);
        $('#btn_orden').attr("disabled", false);
        load(1);
        loadcliente();
    }
});
event.preventDefault();
})


function update_cliente(campo,clie_id){
var parametros = {"action":"update","campo":campo,"clie_id":clie_id}; 
    $.ajax({
    type: "POST",
    url: "./php_orden_de_servicios/agregar_cliente.php",
    data: parametros,
        beforeSend: function(objeto){
        $("#select_cli").html("");
        },
    success: function(datos){
    $("#select_cli").html(datos);
    loadcliente();
    }
    });
} 


$( "#nuevo_clie" ).submit(function( event ) {
$('#btn_cliente').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_clientes/registrar_cliente_orden_servicios.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultados_cliente").html(datos);
    $('#btn_cliente').attr("disabled", false);
    $('#nuevocliente').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    loadcliente();
    }
});
event.preventDefault();
})
</script>
</body>
</html>
<?php
        }
        else
        {
            echo '<script>alert("primero debes Abrir caja")</script>';
            echo '<script> setTimeout("history.back(1)", 0); </script>';
        }
    }
    else
    {
        echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
        echo '<script> setTimeout("history.back(1)", 0); </script>';
    }
} 
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>